Package com.castlabs.sdk.thumbs

# Enum ThumbsPlugin.DiskCacheMode

java.lang.Object
java.lang.Enum<ThumbsPlugin.DiskCacheMode>
com.castlabs.sdk.thumbs.ThumbsPlugin.DiskCacheMode

All Implemented Interfaces:
  `Serializable`, `Comparable<ThumbsPlugin.DiskCacheMode>`

Enclosing class:
  `ThumbsPlugin`

public static enum ThumbsPlugin.DiskCacheMode extends Enum<ThumbsPlugin.DiskCacheMode>
Disk cache mode controlling on-disk thumbnail caching behavior.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DISABLED`
  Disable disk caching entirely.
  `ENABLED_CLEANUP`
  Enable disk caching and clean cached files on provider release.
  `ENABLED_RETAIN`
  Enable disk caching and retain cached files across provider release.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ThumbsPlugin.DiskCacheMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ThumbsPlugin.DiskCacheMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DISABLED

    public static final ThumbsPlugin.DiskCacheMode DISABLED
    Disable disk caching entirely.

  - ### ENABLED_CLEANUP

    public static final ThumbsPlugin.DiskCacheMode ENABLED_CLEANUP
    Enable disk caching and clean cached files on provider release.

  - ### ENABLED_RETAIN

    public static final ThumbsPlugin.DiskCacheMode ENABLED_RETAIN
    Enable disk caching and retain cached files across provider release.

- ## Method Details

  - ### values

    public static ThumbsPlugin.DiskCacheMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ThumbsPlugin.DiskCacheMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null